# $Revision: 1.17 $, $Date: 2008/11/05 23:29:53 $
Summary:	XTrap library
Summary(pl.UTF-8):	Biblioteka XTrap
Name:		xorg-lib-libXTrap
Version:	1.0.0
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/X11R7.0/src/lib/libXTrap-%{version}.tar.bz2
# Source0-md5:	1e2d966b5b2b89910e418bb0f78e10de
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-trapproto-devel
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XTrap library.

%description -l pl.UTF-8
Biblioteka XTrap.

%package devel
Summary:	Header files for libXTrap library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXTrap
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXt-devel
Requires:	xorg-proto-trapproto-devel

%description devel
XTrap library.

This package contains the header files needed to develop programs that
use libXTrap.

%description devel -l pl.UTF-8
Biblioteka XTrap.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXTrap.

%package static
Summary:	Static libXTrap library
Summary(pl.UTF-8):	Biblioteka statyczna libXTrap
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XTrap library.

This package contains the static libXTrap library.

%description static -l pl.UTF-8
Biblioteka XTrap.

Pakiet zawiera statyczną bibliotekę libXTrap.

%prep
%setup -q -n libXTrap-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXTrap.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXTrap.so
%{_libdir}/libXTrap.la
%{_pkgconfigdir}/xtrap.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXTrap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXTrap.spec,v $
Revision 1.17  2008/11/05 23:29:53  arekm
- release 5

Revision 1.16  2008/07/27 23:04:41  arekm
- release 4

Revision 1.15  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.13  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.12  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.11  2006/04/17 09:40:56  qboosh
- release 1

Revision 1.10  2005/12/28 10:25:51  qboosh
- sources from X11R7.0 release

Revision 1.9  2005/12/20 11:42:03  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.8  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.7  2005/12/04 10:36:17  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.6  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.5  2005/10/20 20:58:00  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Thu Aug 11 2005 21:14:04  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: libX11-devel
- removed redundant R: libX11-devel from devel
- release 0.03

* Thu Aug 11 2005 11:26:27  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %%{_mandir}
- added %%doc
- release 0.02

* Thu Aug  4 2005 15:46:18  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
